Results 1 to 3 of 3

Thread: Apache on 11.4

  1. #1

    Default Apache on 11.4

    Hi,
    I've a server with opensuse 11.4 (from a 11.3 upgrade), but I can't run Apache.. I've tried latest version (official repository and Apache repository), but it give me always same error:

    [error] (38)Function not implemented: apr_socket_accept: (client socket)

    I've have removed and reinstalled apr/apr-utils also, but nothing..

    what's the problem?!!

    thanks,
    Antonio

  2. #2
    Join Date
    Jan 2009
    Location
    Switzerland
    Posts
    1,529

    Default Re: Apache on 11.4

    Hello radarino, welcome to the forums.

    I see that you got no response since yesterday. All I can say is that I would stick to the official oss repository. That worked for me "out of the box" so far. The error you are seeing is known to google:

    Bug 294827 – Apache Hanging - Function not implemented: apr_socket_accept: (client socket)
    Gentoo Forums :: View topic - [SOLVED] Apache: error with apr_socket_accept

    Hope this helps a bit. Otherwise try to give some more details.
    Technology is 'stuff that doesn't work yet.' -- Bran Ferren

  3. #3

    Default Re: Apache on 11.4

    Quote Originally Posted by vodoo View Post
    [...]
    Hope this helps a bit. Otherwise try to give some more details.
    Hi!
    I'm going to check your links... but I've missed some details:
    I'm running the 11.4 server on a virtualized machine (Xen), with a OpenSUSE 11.1 as dom0.

    I've just tried a fresh 11.4 installation on a Virtualbox machine and all (apache) works well

    Probably the error is caused by the different kernel version

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •